with GNATCOM.Dispinterface;

package MSHTML.IHTMLCSSNamespaceRule_Interface is

   type IHTMLCSSNamespaceRule_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLCSSNamespaceRule_Type);

   function Pointer (This : IHTMLCSSNamespaceRule_Type)
     return Pointer_To_IHTMLCSSNamespaceRule;

   procedure Attach (This    : in out IHTMLCSSNamespaceRule_Type;
                     Pointer : in     Pointer_To_IHTMLCSSNamespaceRule);

   function Get_namespaceURI
     (This : IHTMLCSSNamespaceRule_Type)
     return GNATCOM.Types.BSTR;

   function Get_prefix
     (This : IHTMLCSSNamespaceRule_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLCSSNamespaceRule_Interface;

